## org.eclipse.datatools.sqltools.routineeditor.launching
Class SQLToolsLaunchProfileListener

    java.lang.Object
      org.eclipse.datatools.sqltools.routineeditor.launching.SQLToolsLaunchProfileListener

All Implemented Interfaces:
  org.eclipse.datatools.sqltools.core.profile.ISQLToolsProfileListener

    public class SQLToolsLaunchProfileListener

extends java.lang.Object
implements org.eclipse.datatools.sqltools.core.profile.ISQLToolsProfileListener

This class keeps the SQL Dev Tools launch configuration in sync with the connection profile.

Author:
  Hui Cao

Constructor Summary
`SQLToolsLaunchProfileListener()`

Method Summary
`void` `profileAdded(IConnectionProfile profile)`
`void` `profileChanged(IConnectionProfile profile, java.lang.String oldName, java.lang.String oldDesc, java.lang.Boolean oldAutoConnect, boolean onlyNameChanged, org.eclipse.datatools.sqltools.core.profile.ConnectProfile oldProfile)`
`void` `profileDeleted(IConnectionProfile profile)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SQLToolsLaunchProfileListener

    public SQLToolsLaunchProfileListener()

Method Detail

### profileChanged

    public void profileChanged(IConnectionProfile profile,
                               java.lang.String oldName,
                               java.lang.String oldDesc,
                               java.lang.Boolean oldAutoConnect,
                               boolean onlyNameChanged,
                               org.eclipse.datatools.sqltools.core.profile.ConnectProfile oldProfile)

  Specified by:
    `profileChanged` in interface `org.eclipse.datatools.sqltools.core.profile.ISQLToolsProfileListener`

### profileAdded

    public void profileAdded(IConnectionProfile profile)

  Specified by:
    `profileAdded` in interface `org.eclipse.datatools.sqltools.core.profile.ISQLToolsProfileListener`

### profileDeleted

    public void profileDeleted(IConnectionProfile profile)

  Specified by:
    `profileDeleted` in interface `org.eclipse.datatools.sqltools.core.profile.ISQLToolsProfileListener`